it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione

- java.lang.Object
- - it.gov.taccuino.RilevazioneType
  - - it.gov.taccuino.TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione

- Enclosing class:
    TaccuinoType.OsservazioniPersonali.ParametriOsservabili

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione
      extends RilevazioneType

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <extension base="{urn:taccuino:dataset}rilevazioneType">
             <sequence>
               <element name="tipoRilevazione" maxOccurs="unbounded">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:taccuino:common>decimal5_2">
                       <attribute name="displayName" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="circonferenzaVita"/>
                             <enumeration value="colesteroloHDL"/>
                             <enumeration value="colesteroloLDL"/>
                             <enumeration value="colesteroloTotale"/>
                             <enumeration value="emoglobinaGlicata"/>
                             <enumeration value="frequenzaCardiacaRiposo"/>
                             <enumeration value="frequenzaRespiratoria"/>
                             <enumeration value="glicemiaDigiuno"/>
                             <enumeration value="ossimetria"/>
                             <enumeration value="peso"/>
                             <enumeration value="pressioneDiastolica"/>
                             <enumeration value="pressioneSistolica"/>
                             <enumeration value="trigliceridi"/>
                             <enumeration value="temperatura"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                       <attribute name="code" type="{urn:taccuino:common}string1_200" />
                       <attribute name="unit" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="Kg"/>
                             <enumeration value="°C"/>
                             <enumeration value="cm"/>
                             <enumeration value="mmHg"/>
                             <enumeration value="bpm"/>
                             <enumeration value="atti per minuto"/>
                             <enumeration value="mg/dL"/>
                             <enumeration value="mmol/L"/>
                             <enumeration value="SpO2%"/>
                             <enumeration value="mmol/L"/>
                             <enumeration value="%"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione>` | `tipoRilevazione`

    - ### Fields inherited from class it.gov.taccuino.RilevazioneType

      `dataAggiornamento, dataRegistrazione, dataRilevazione, modRilevazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rilevazione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione>` | `getTipoRilevazione()` Gets the value of the tipoRilevazione property.

    - ### Methods inherited from class it.gov.taccuino.RilevazioneType

      `getDataAggiornamento, getDataRegistrazione, getDataRilevazione, getModRilevazione, setDataAggiornamento, setDataRegistrazione, setDataRilevazione, setModRilevazione`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tipoRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected List<TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione> tipoRilevazione

  - ### Constructor Detail

    - #### Rilevazione

          public Rilevazione()

  - ### Method Detail

    - #### getTipoRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public List<TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione> getTipoRilevazione()

      Gets the value of the tipoRilevazione property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tipoRilevazione property.

      For example, to add a new item, do as follows:

              getTipoRilevazione().add(newItem);

      Objects of the following type(s) are allowed in the list `TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione.TipoRilevazione`

Copyright © 2024. All rights reserved.